Hidden layers

 I have received some drawings from a client which show the details in the layout view through the view port BUT i can't find any detail on the model view! i.e. just blank background even if selecting show all entities etc...    I am sure this is something simple but i haven't come across this problem before.  can anyone help ??

regards, Russell

Comments

  • Of course, we don't know the history of your drawing, and I may be mentioning something you are familiar. 

    Each viewport has its own layer visibility settings.  To see them, your cursor must be inside that viewport, then either open the layer dialog box, or even just the pull-down  menu.

    -Joe


  • Oops, I see I mis understood the original post.  I see now that you are going to the model view tab.  

    One way to have the details invisible is to have them on a layer with the same color as the background.  They might be visible inside a viewport if that layer has a  viewport override to make them visible. But, they should be selectable, even if they are not visible.

    Might they actually be in paper space, but on a locked layer so they won't be selected when you select things for a command like delete.  They should be selectable without a command active.

    Might it be a 3D model, that has these details on or below the surface.  Sometimes the surface of a solid can obscure things on their surface.

    If a block has things on different layers, those objects will all be hidden if the layer where the object is inserted is frozen.  But, they will show if that insertion layer is only set to off.

    -Joe
  • Another scenario:
    The details are ViewBase views and the original 3D model has been erased.
    For these views special block references are used. They are inserted in model space but only visible in paper space viewports.
    To check for the presence of these references you can use the code below.

    BTW: Hidden layers also exist. They are for example used for 2D dimensional constraints.

    [code](defun c:CountViewBaseRefs ( / cnt)
      (setq cnt
        (apply
          '+
          (mapcar
            '(lambda (obj)
              (if (= "AcDbViewRepBlockReference" (vla-get-objectname obj)) 1 0)
            )
            (vle-collection->list
              (vla-get-modelspace
                (vla-get-activedocument (vlax-get-acad-object))
              )
            )
          )
        )
      )
      (princ
        (strcat "\n" (itoa cnt) " AcDbViewRepBlockReference object(s) found ")
      )
      (princ)
    )[/code]
  • @ Russell: can you give an update?
This discussion has been closed.